Bug 172710 - [NEW PORT] lang/spidermonkey185: Standalone JavaScript (1.8.5) interpreter from Mozilla
[NEW PORT] lang/spidermonkey185: Standalone JavaScript (1.8.5) interpreter fr...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Tom Judge
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-15 13:40 UTC by koobs.freebsd
Modified: 2013-03-22 20:40 UTC (History)
0 users

See Also:


Attachments
.shar (7.53 KB, text/plain)
2012-10-15 13:40 UTC, koobs.freebsd
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description koobs.freebsd 2012-10-15 13:40:01 UTC
Spidermonkey is the JavaScript interpreter from the Mozilla project.

WWW: http://www.mozilla.org/js/spidermonkey/

This port is a 3 way "merge" of:

1) ports/170768
2) https://redports.org/browser/avg/lang/spidermonkey/
3) kwm@ work: .http://www.marcuscom.com:8080/cgi-bin/cvsweb.cgi/ports/lang/spidermonkey/

The goals were:

- Take the 'best' (subjective, with discretion) bits of each body of work
- Reduce patch work and stay close to upstream
- Lots of OPTIONS for user-choice (with recommended DEFAULTS) 
- Include JS version in PORTNAME to support multiple spidermonkey ports. 

Thank you kwm@ flo@ and t_j for your feedback, tips and suggestions.

======[QA]======

portlint: looks fine.
porttest: OK
unittests: FreeBSD 9.0 AMD64
	===> Running jstests.py: PASS
	===> Running jit_test.py: PASSED ALL
redports: https://redports.org/buildarchive/20121013113153-58992/

Note 1: all redports builds include 2 x test suite runs (JSTEST & JIT). See
buildlog output for details.

Note 2: There are intermittent test failures in:  js1_8_5/extensions/worker-terminate.js

JS shell workers have been removed from upstream, see:

https://bugzilla.mozilla.org/show_bug.cgi?id=771281
https://bugzilla.mozilla.org/show_bug.cgi?id=731448
https://bugzilla.mozilla.org/show_bug.cgi?id=644393

================

Generated with FreeBSD Port Tools 0.99_6 (mode: new)
Comment 1 Tom Judge freebsd_committer 2012-10-15 19:36:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tj

I'll take it.
Comment 2 Tom Judge freebsd_committer 2012-10-17 15:55:38 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!
Comment 3 aasoft 2013-03-22 20:34:29 UTC
On Fri, Mar 22, 2013 at 7:34 AM, Mathias Breuninger <
mathias.breuninger@espace29.asso.fr> wrote:

> devel/spidermonkey185 compiles flawlessly on FreeBSD-9.1-RELEASE (PowerPC
> 32bit)
>
> For some reason, the install script does not copy the js exec in
> /usr/local/bin (
> https://developer.mozilla.org/en-US/docs/SpiderMonkey/Build_Documentation)
>
> I had to do so manually.
>
> This port should conflict with devel/spidermonkey17 which installs a js
> exec in /usr/local/bin as well.
>
> Thank you for the port anyway!
>
> --
> Mathias Breuninger
>
>
>
>
I'm nowhere near being well-versed in makefiles, but a quick look through
the install target of the Makefile tells me that js is indeed not being
installed.
I guess it is possible to include the installation of js in a similar way
that it is done for js-config. But I'm not sure if that is the right
approach.

Forwarding this as a followup to the actual PR that got accepted, done by
developers that actually knew what they were doing. See
http://www.freebsd.org/cgi/query-pr.cgi?pr=172710

Oh, and I think the install of js should be optional. Then
lang/spidermonkey17 and lang/spidermonkey185 wouldn't conflict if js isn't
installed. Just for the people who may need both and dont need the js shell.


Anton